Bug 1574410 - Incorrect lowercase Cyrillic BE for Macedonian language in liberation v2 (look like Greek delta)
Summary: Incorrect lowercase Cyrillic BE for Macedonian language in liberation v2 (loo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liberation-fonts
Version: 29
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: vishal vijayraghavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 08:58 UTC by Dimitrij Mijoski
Modified: 2019-04-13 00:04 UTC (History)
10 users (show)

Fixed In Version: liberation-fonts-2.00.5-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-13 00:04:57 UTC


Attachments (Terms of Use)
Fixes Macedonian Cyrillic BE in Regular and Bold (6.52 KB, patch)
2018-05-03 10:21 UTC, Dimitrij Mijoski
no flags Details | Diff

Description Dimitrij Mijoski 2018-05-03 08:58:14 UTC
Description of problem:
The lowercase BE (U+0431, б ) looks incorrect. It looks like Greek lowercase delta δ. This is related to this change https://pagure.io/liberation-fonts/c/607af724740a2daf868b4d2b731d58bf1f5b46a7?branch=master and bug 657849

While those changes may matter for Serbian, the Macedonian BE in regular fonts actually looks same as the Russian. ONLY in italic fonts the delta look is applicable, because italic fonts kinda look like handwriting.

Note that if you open the page for Cyrillic alphabet or the Cyrillic BE on wikipedia, it states incorrect and uncited info about this, Macedonian and Serbian shape of BE is different.

Version-Release number of selected component (if applicable):
2.00.1

How reproducible:


Steps to Reproduce:
1. Install harfbuzz and liberation2
2. Run the following commands

cd location/of/fonts
hb-view --language=mk LiberationSerif-Regular.ttf б
hb-view --language=mk LiberationSans-Regular.ttf б
hb-view --language=mk LiberationMono-Regular.ttf б

hb-view --language=mk LiberationSerif-Bold.ttf б
hb-view --language=mk LiberationSans-Bold.ttf б
hb-view --language=mk LiberationMono-Bold.ttf б

Alternative way to trigger is to:
1. Open libeoffice (Liberation Serif is selected by default)
2. Write: б
3. Select that and change the paragraph language to Macedonian.

Actual results:
I see the delta

Expected results:
Should have the standard "six" shape, not "delta" shape

cd location/of/fonts
hb-view --language=en LiberationSerif-Regular.ttf б
hb-view --language=en LiberationSans-Regular.ttf б
hb-view --language=en LiberationMono-Regular.ttf б

hb-view --language=en LiberationSerif-Bold.ttf б
hb-view --language=en LiberationSans-Bold.ttf б
hb-view --language=en LiberationMono-Bold.ttf б



Additional info:

Comment 1 Dimitrij Mijoski 2018-05-03 10:21:52 UTC
Created attachment 1430590 [details]
Fixes Macedonian Cyrillic BE in Regular and Bold

Comment 2 Dimitrij Mijoski 2018-05-03 12:11:51 UTC
I'd say that the delta will surprise even Serbian readers, as pointed here https://ask.libreoffice.org/en/question/60778/problem-with-cyrillic-letter-b-in-linux/

It would be better to completely disable the delta in Regular and Bold even for Serbian until it gets a better shape. It should not look like Greek delta.

Comment 3 Dimitrij Mijoski 2018-05-10 10:37:50 UTC
If you open official orthography documents of Macedonian and Serbian language, you will see that BE is written with the six look not the delta look.

Here is Macedonian orthography, scroll to page 13/368 http://www.pravopis.mk/sites/default/files/Pravopis-2017.PDF

Here is Serbian orthography, scroll to page 18 http://repo.etfovac.com/srpski-jezik/Pravopis%20MS_2010.pdf

Basically, the delta should be completely gone from the Regular and Bold.

Comment 4 Dimitrij Mijoski 2018-06-07 10:02:55 UTC
Can this get fixed sooner? The patch is already there https://pagure.io/liberation-fonts/pull-request/21

Comment 5 Jan Kurik 2018-08-14 10:04:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 6 Fedora Update System 2019-04-09 05:30:34 UTC
liberation-fonts-2.00.5-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c695290fda

Comment 7 Fedora Update System 2019-04-10 14:37:18 UTC
liberation-fonts-2.00.5-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c695290fda

Comment 8 Fedora Update System 2019-04-13 00:04:57 UTC
liberation-fonts-2.00.5-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.